> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campaigncleaner.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign List

> The **get_campaign_list** API endpoint allows you to get the status of all the campaigns you have saved on [Campaign Cleaner](https://campaigncleaner.com).
#### Header:
**X-CC-API-Key**: Your API Key

#### Response:

**campaign_list**:

- **id**: The campaign id that will be used in other API calls.
- **campaign_name**: The name of the campaign.
- **status**: The status will be either _processing_, _completed_, or _paused_
- **date_added**: The date and time your campaign was saved or submitted to Campaign Cleaner.
 

If the **status** is _completed_, you will be able to retrieve the campaign via the **get_campaign** API

In the event of an error, you will get an "**error**:" response, with a description of the reason



## OpenAPI

````yaml GET /v1/get_campaign_list
openapi: 3.0.0
info:
  title: API DOCUMENTATION
  description: >-


    [Campaign Cleaner](https://campaigncleaner.com) is the leader in ensuring
    that your campaigns don't affect your IP and Domain reputation, it's the
    most advanced toolset you'll find that gives you all the tools you need to
    keep your campaigns within acceptable ratios of many email and spam
    filtering software and automatically fixes your HTML by sanitizing all
    non-email friendly attributes and inlines all your CSS to be compatible with
    every email client.


    We offer a robust collection of API's to allow you to integrate its
    functionality into your email marketing software and tools.


    The **{{api_key}}** is located in your account on [Campaign
    Cleaner](https://campaigncleaner.com) under **API Management API Keys.**


    Use the navigation on the left to access the different API Endpoints.
  version: 1.0.0
servers:
  - url: https://api.campaigncleaner.com
security: []
paths:
  /v1/get_campaign_list:
    get:
      tags:
        - Campaign Cleaner
      summary: Get Campaign List
      description: >-
        The **get_campaign_list** API endpoint allows you to get the status of
        all the campaigns you have saved on [Campaign
        Cleaner](https://campaigncleaner.com).

        #### Header:

        **X-CC-API-Key**: Your API Key


        #### Response:


        **campaign_list**:


        - **id**: The campaign id that will be used in other API calls.

        - **campaign_name**: The name of the campaign.

        - **status**: The status will be either _processing_, _completed_, or
        _paused_

        - **date_added**: The date and time your campaign was saved or submitted
        to Campaign Cleaner.
         

        If the **status** is _completed_, you will be able to retrieve the
        campaign via the **get_campaign** API


        In the event of an error, you will get an "**error**:" response, with a
        description of the reason
      parameters:
        - name: X-CC-API-Key
          in: header
          schema:
            type: string
          example: '{{api_key}}'
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                campaign_list:
                  - id: e8c8af95-c033-11ed-9848-003048d8d536
                    campaign_name: Test Campaign 1
                    status: completed
                    date_added: '2023-02-23T12:02:46-05:00'
                  - id: a8c8af95-c033-11ed-9848-003048d8d537
                    campaign_name: Test Campaign 2
                    status: completed
                    date_added: '2023-02-25T22:26:15-05:00'

````